//--------------------------------------------------------
//Code generated by Papyrus Java
//--------------------------------------------------------

package Problema1;

/************************************************************/
/**
* 
*/
public class Prenda {
	/**
	 * @param modelo
	 * @param tela
	 * @param costoProduccion
	 * @param genero
	 * @param temporada
	 * @param lotes
	 */
	public Prenda(int modelo, String tela, float costoProduccion, String genero, String temporada, Lote lotes) {
		super();
		this.modelo = modelo;
		this.tela = tela;
		this.costoProduccion = costoProduccion;
		this.genero = genero;
		this.temporada = temporada;
		this.lotes = lotes;
	}

	/**
	 * 
	 */
	public Prenda() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * 
	 */
	private int modelo;
	/**
	 * 
	 */
	private String tela;
	/**
	 * 
	 */
	private float costoProduccion;
	/**
	 * 
	 */
	private String genero;
	/**
	 * 
	 */
	private String temporada;
	/**
	 * 
	 */
	private Lote lotes;

	/**
	 * 
	 * @param lote 
	 */
	public void addNvoLote(Lote lote) {
	}

	/**
	 * 
	 * @param i 
	 * @return 
	 */
	public Lote recuperarLote(int i) {
		return lotes;
	}

	public int getModelo() {
		return modelo;
	}

	public void setModelo(int modelo) {
		this.modelo = modelo;
	}

	public String getTela() {
		return tela;
	}

	public void setTela(String tela) {
		this.tela = tela;
	}

	public float getCostoProduccion() {
		return costoProduccion;
	}

	public void setCostoProduccion(float costoProduccion) {
		this.costoProduccion = costoProduccion;
	}

	public String getGenero() {
		return genero;
	}

	public void setGenero(String genero) {
		this.genero = genero;
	}

	public String getTemporada() {
		return temporada;
	}

	public void setTemporada(String temporada) {
		this.temporada = temporada;
	}

	public Lote getLotes() {
		return lotes;
	}

	public void setLotes(Lote lotes) {
		this.lotes = lotes;
	}

	@Override
	public String toString() {
		return "Prenda [modelo=" + modelo + ", tela=" + tela + ", costoProduccion=" + costoProduccion + ", genero="
				+ genero + ", temporada=" + temporada + ", lotes=" + lotes + "]";
	}
	
}



